﻿/*
 * project : AcknexWrapper 1.0.2 for V7.82.3
 * created by : Matthias Auer
 * contact : mail@matthias-auer.net
 * homepage : http://acknexwrapper.matthias-auer.net/
 * date : 05.04.10
 */

using System.Runtime.InteropServices;

namespace AcknexWrapper
{
    namespace Native
    {
        [StructLayout(LayoutKind.Sequential)]
        internal unsafe struct NativeCONTACT
        {
            public NativeD3DVERTEX* v;
            public NativeVar x, y, z;
            public NativeVar nx, ny, nz;
            public NativeVar u1, v1;
            public NativeVar u2, v2;
            public NativeVar vertex;
            public NativeVar triangle;
            public NativeVar chunk;
            public void* model;
            public NativeVar light;
            public NativeVar alpha;
            public NativeVar blue, green, red;
            public int flags;
            public NativeENTITY* entity;
            public NativeBMAP* skin1;
            public NativeBMAP* skin2;
            public NativeBMAP* skin3;
            public NativeBMAP* skin4;
            public char* texname;
            public NativeVar subset;
        }
    }
}