﻿/*
 * project : AcknexWrapper 1.0.2 for V7.82.3
 * created by : Matthias Auer
 * contact : mail@matthias-auer.net
 * homepage : http://acknexwrapper.matthias-auer.net/
 * date : 05.04.10
 */

using System.Runtime.InteropServices;

namespace AcknexWrapper
{
    namespace Native
    {
        [StructLayout(LayoutKind.Sequential)]
        internal unsafe struct NativeENTITY
        {
            public NativeC_LINK link;
            public char* type;
            public NativeVar x, y, z;
            public NativeVar pan, tilt, roll;
            public NativeVar scale_x, scale_y, scale_z;
            public int flags;
            public NativeVar frame;
            public NativeVar next_frame;
            public NativeVar skin;
            public NativeVar ambient;
            public NativeVar albedo;
            public NativeVar alpha;
            public NativeVar lightrange;
            public NativeVar blue, green, red;
            public int emask;
            public int eflags;
            public NativeVar min_x, min_y, min_z;
            public NativeVar max_x, max_y, max_z;
            public NativeVar trigger_range;
            public NativeVar push;
            public NativeVar floor_dist;
            public int smask;
            public NativeVar client_id;
            public NativeVar skill_001, skill_002, skill_003, skill_004, skill_005, skill_006, skill_007, skill_008, skill_009, skill_010;
            public NativeVar skill_011, skill_012, skill_013, skill_014, skill_015, skill_016, skill_017, skill_018, skill_019, skill_020;
            public NativeVar skill_021, skill_022, skill_023, skill_024, skill_025, skill_026, skill_027, skill_028, skill_029, skill_030;
            public NativeVar skill_031, skill_032, skill_033, skill_034, skill_035, skill_036, skill_037, skill_038, skill_039, skill_040;
            public NativeVar skill_041, skill_042, skill_043, skill_044, skill_045, skill_046, skill_047, skill_048, skill_049, skill_050;
            public NativeVar skill_051, skill_052, skill_053, skill_054, skill_055, skill_056, skill_057, skill_058, skill_059, skill_060;
            public NativeVar skill_061, skill_062, skill_063, skill_064, skill_065, skill_066, skill_067, skill_068, skill_069, skill_070;
            public NativeVar skill_071, skill_072, skill_073, skill_074, skill_075, skill_076, skill_077, skill_078, skill_079, skill_080;
            public NativeVar skill_081, skill_082, skill_083, skill_084, skill_085, skill_086, skill_087, skill_088, skill_089, skill_090;
            public NativeVar skill_091, skill_092, skill_093, skill_094, skill_095, skill_096, skill_097, skill_098, skill_099, skill_100;
            public NativeVar pose;
            public NativeMATERIAL* material;
            public NativeVar u, v;
            public NativeVar group;
            public int flags2;
            public char* attachname;
            public NativeEVENT event_;
            public NativeEVENT local;
            public NativeVar layer;
            public int vmask;
            public char* string1, string2;
            public float fRadius;
            public int path_index;
            public void* model;
            public NativeENTITY* shadow;
            public NativeENTITY* parent;
            public NativeBMAP* lightmap;
        }
    }
}