﻿/*
 * project : AcknexWrapper 1.0.2 for V7.82.3
 * created by : Matthias Auer
 * contact : mail@matthias-auer.net
 * homepage : http://acknexwrapper.matthias-auer.net/
 * date : 05.04.10
 */

using System.Runtime.InteropServices;

namespace AcknexWrapper
{
    namespace Native
    {
        [StructLayout(LayoutKind.Sequential)]
        internal unsafe struct NativeTEXT
        {
            public NativeC_LINK link;
            public int type;
            public NativeVar layer;
            public NativeVar pos_x, pos_y;
            public int flags;
            public NativeVar alpha;
            public NativeVar offset_y;
            public NativeVar size_y;
            public NativeFONT* font;
            public int length;
            public NativeSTRING** pstring;
            public NativeVar scale_x, scale_y;
            public NativeVar blue, green, red;
            public NativeVar strings;
            public NativeBMAP* target_map;
            public NativeVar offset_x;
            public NativeVar size_x;
            public NativeVar skill_x, skill_y;
            public byte* pad;    //PAD_TEXT 12
        }
    }
}