﻿/*
 * project : AcknexWrapper 1.0.2 for V7.82.3
 * created by : Matthias Auer
 * contact : mail@matthias-auer.net
 * homepage : http://acknexwrapper.matthias-auer.net/
 * date : 05.04.10
 */

using System.Runtime.InteropServices;

namespace AcknexWrapper
{
    namespace Native
    {
        [StructLayout(LayoutKind.Sequential)]
        internal unsafe struct NativeMATERIAL
        {
            public NativeC_LINK link;
            public NativeVar ambient_blue, ambient_green, ambient_red;
            public NativeVar diffuse_blue, diffuse_green, diffuse_red;
            public NativeVar specular_blue, specular_green, specular_red;
            public NativeVar emissive_blue, emissive_green, emissive_red;
            public NativeVar map_blue, map_green, map_red;
            public NativeVar alpha;
            public NativeVar power;
            public NativeVar albedo;
            public NativeVar scale1, scale2;
            public NativeVar cycle;
            public NativeVar skill_01;
            public NativeVar skill_02;
            public NativeVar skill_03;
            public NativeVar skill_04;
            public NativeVar skill_05;
            public NativeVar skill_06;
            public NativeVar skill_07;
            public NativeVar skill_08;
            public NativeVar skill_09;
            public NativeVar skill_10;
            public NativeVar skill_11;
            public NativeVar skill_12;
            public NativeVar skill_13;
            public NativeVar skill_14;
            public NativeVar skill_15;
            public NativeVar skill_16;
            public NativeVar skill_17;
            public NativeVar skill_18;
            public NativeVar skill_19;
            public NativeVar skill_20;
            public float matrix_11;
            public float matrix_12;
            public float matrix_13;
            public float matrix_14;
            public float matrix_21;
            public float matrix_22;
            public float matrix_23;
            public float matrix_24;
            public float matrix_31;
            public float matrix_32;
            public float matrix_33;
            public float matrix_34;
            public float matrix_41;
            public float matrix_42;
            public float matrix_43;
            public float matrix_44;
            public int flags;
            public char* effect;
            public NativeVar lod;
            public NativeBMAP* skin1;
            public NativeBMAP* skin2;
            public NativeBMAP* skin3;
            public NativeBMAP* skin4;
            public NativeEVENT event_;
            public byte* pad;  //PAD_MATERIAL 428
        }
    }
}