﻿/*
 * project : AcknexWrapper 1.0.2 for V7.82.3
 * created by : Matthias Auer
 * contact : mail@matthias-auer.net
 * homepage : http://acknexwrapper.matthias-auer.net/
 * date : 05.04.10
 */

using System.Runtime.InteropServices;

namespace AcknexWrapper
{
    namespace Native
    {
        [StructLayout(LayoutKind.Sequential)]
        internal unsafe struct NativePARTICLE
        {
            public NativeC_LINK link;
            public NativeVar lifespan;
            public NativeVar x, y, z;
            public NativeVar vel_x, vel_y, vel_z;
            public NativeVar size;
            public NativeBMAP* bmap;
            public NativeEVENT event_;
            public int flags;
            public NativeVar skill_x, skill_y, skill_z;
            public NativeVar gravity;
            public NativeVar angle;
            public NativeVar alpha;
            public NativeENTITY* creator;
            public NativeVar blue, green, red;
            public NativeVar skill_0;
            public NativeVar skill_1;
            public NativeVar skill_2;
            public NativeVar skill_3;
            public void* d3dmesh;
            public NativeMATERIAL* material;
        }
    }
}