﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using AcknexWrapper;

namespace FXED.Forms
{
    public partial class frm_sun_settings : Form
    {
        public frm_sun_settings()
        {
            InitializeComponent();
        }

        private void SetColor(object sender, EventArgs e)
        {
            if (dlg_color_sun.ShowDialog() != DialogResult.Cancel)
            {
                btn_color.BackColor = dlg_color_sun.Color;
            }
        }

        private void CloseForm(object sender, EventArgs e)
        {
            Classes.Variables.my_effect.Settings.SunBrightness = trk_brightness.Value;
            Classes.Variables.my_effect.Settings.SunAzimuth = trk_azimuth.Value;
            Classes.Variables.my_effect.Settings.SunElevation = trk_elevation.Value;
            Classes.Variables.my_effect.Settings.SunColor = btn_color.BackColor;
            Scheduler.AddEventVoidThreadSafe(Classes.Variables.preview.SetSun);
            this.Close();
        }

        private void frm_sun_settings_Load(object sender, EventArgs e)
        {
            trk_brightness.Value = Classes.Variables.my_effect.Settings.SunBrightness;
            trk_azimuth.Value = Classes.Variables.my_effect.Settings.SunAzimuth;
            trk_elevation.Value = Classes.Variables.my_effect.Settings.SunElevation;
            btn_color.BackColor = Classes.Variables.my_effect.Settings.SunColor;
        }
    }
}
